Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface ILookAndFeelDefinitionManager

All Known Subinterfaces:
  LookAndFeelDefinitionManager

    public interface ILookAndFeelDefinitionManager

This is the primary interface for performing persistent store operations on `LookAndFeelDefinitions`. In general this interface provides coarse grain getters and fine grain setters.

It is important to note that all methods on this interface are fully internationalized and entitled. All `titles` and `descriptions` on the objects returned by these methods are internationalized to the preferred locale. Also, all methods are entitled, meaning if the caller does not have the required credentials the method may return a subset of the actual list or be unable to perform the specified function.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`LookAndFeelDefinition` | `createLookAndFeelDefinition(CustomizationContext customizationContext, LookAndFeelDefinition lookAndFeelDefinition)` Creates a new LookAndFeelView Definition.
`void` | `deleteLookAndFeelDefinition(CustomizationContext customizationContext, LookAndFeelDefinitionId lookAndFeelDefinitionId)` Delete a lookAndFeel definition.
`void` | `deleteLookAndFeelDefinitionWithReplacement(CustomizationContext customizationContext, LookAndFeelDefinitionId deleteLookAndFeelDefinitionId, LookAndFeelDefinitionId replacementLookAndFeelDefinitionId)` Delete a lookAndFeel definition (and its skins, skeletons and themes) and replace any uses of that lookAndFeel with a replacement lookAndFeel.
`LookAndFeelDefinition` | `getLookAndFeelDefinition(CustomizationContext customizationContext, LookAndFeelDefinitionId lookAndFeelDefinitionId)` Getter for returning a single `LookAndFeelDefinition` object given a supplied lookAndFeel definition identifier.
`LookAndFeelDefinition` | `getLookAndFeelDefinitionFromFile(CustomizationContext customizationContext, String lookAndFeelFile, String webAppName)` Getter for returning a single `LookAndFeelDefinition` object given a supplied lookAndFeel file name.
`LookAndFeelDefinitionId` | `getLookAndFeelDefinitionId(CustomizationContext customizationContext, String markupName, String webAppName)` Getter for returning a single `LookAndFeelDefinitionId` object given a supplied lookAndFeel markup name and webapp.
`LookAndFeelDefinition[]` | `getLookAndFeelDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `LookAndFeelDefinitions` scoped to the supplied webapp.
`LookAndFeelDefinition[]` | `getLookAndFeelDefinitions(CustomizationContext customizationContext, String webapp, LookAndFeelDefinitionId firstLookAndFeelDefinitionId, int limit)` Returns `LookAndFeelDefinition`s in `definitionId` order (create order), starting with the supplied definitionId and limiting the result set to size `limit`.
`SortableFilterablePagedResult<LookAndFeelDefinition>` | `getLookAndFeelDefinitions(CustomizationContext context, WebAppSearchCriteria criteria, int pageSize)` Get all the look and feel definitions as a paged object.
`LookAndFeelView` | `getLookAndFeelView(CustomizationContext customizationContext, LookAndFeelDefinitionId lookAndFeelDefinitionId)` Getter for returning an immutable deep `LookAndFeelView`.
`SortableFilterablePagedResult<LocalizationResourceView>` | `getVisibleLaFLocalizationResources(CustomizationContext customizationContext, WebAppSearchCriteria criteria, int pageSize)` Retrieve the LocalizationResourceViews for all visible look-and-feels for a given locale and webapp.
`void` | `updateLookAndFeelDefinition(CustomizationContext customizationContext, LookAndFeelDefinition lookAndFeelDefinition)` Update the lookAndFeel definition with the new data.

Method Detail

### getLookAndFeelView

    LookAndFeelView getLookAndFeelView(CustomizationContext customizationContext,
                                       LookAndFeelDefinitionId lookAndFeelDefinitionId)
                                       throws RemoteException

  Getter for returning an immutable deep `LookAndFeelView`. The `LookAndFeelView` object, unlike the `LookAndFeelDefinition` or the `LookAndFeelInstance` objects contains a full set of references to all child pages, lookAndFeels and so on. The `LookAndFeelView` object, however is immutable.

  Parameters
    `customizationContext` - customization information such as preferred locales and desktopInstanceId returned.
    `lookAndFeelDefinitionId` - the unique lookAndFeelDefinitionId.
  Returns
    an immutable deep LookAndFeelView object if one exists, otherwise null.
  Throws
    `RemoteException`

### getLookAndFeelDefinitions

    LookAndFeelDefinition[] getLookAndFeelDefinitions(CustomizationContext customizationContext,
                                                      String webapp)
                                                      throws RemoteException

  Getter for returning a list of all `LookAndFeelDefinitions` scoped to the supplied webapp.

  Parameters
    `customizationContext` - customization information such as preferred locales and desktopInstanceId returned.
    `webapp` - the web application these lookAndFeel definitions are scoped to.
  Returns
    an array of `LookAndFeelDefinition` objects if they exist, otherwise, an empty array.
  Throws
    `RemoteException`
  See Also
    `LookAndFeelDefinition`

### getLookAndFeelDefinitions

    LookAndFeelDefinition[] getLookAndFeelDefinitions(CustomizationContext customizationContext,
                                                      String webapp,
                                                      LookAndFeelDefinitionId firstLookAndFeelDefinitionId,
                                                      int limit)
                                                      throws RemoteException

  Returns `LookAndFeelDefinition`s in `definitionId` order (create order), starting with the supplied definitionId and limiting the result set to size `limit`. If fewer `LookAndFeelDefinition`s exist than `limit`, then a smaller result set will be returned. If no definitions are found an empty array is returned. To start at the beginning of the list specify null as the `lookAndFeelDefinitionId`. To retrieve from the end of the list and back specify null as the `lookAndFeelDefinitionId` and a negative `limit`. To retrieve all the lookAndFeelDefinitions in the database supply a limit of 0.
  The implmentation has to ensure that repeated calls to this method return `LookAndFeelDefinition`s in a consistent order.

  Parameters
    `customizationContext` - customization information such as preferred locales.
    `webapp` - the web application these lookAndFeel definitions are scoped to.
    `firstLookAndFeelDefinitionId` - optional parameter to indicate where the list should start.
    `limit` - the maximum result set size. Note the limit may be negative indicating a reverse sort order. To retrieve all the records specify a limit of zero. Note: some elements may be pruned because of entitlements.
  Returns
    array of `LookAndFeelDefinition`s no greater than `limit` in size.
  Throws
    `RemoteException`

### getLookAndFeelDefinition

    LookAndFeelDefinition getLookAndFeelDefinition(CustomizationContext customizationContext,
                                                   LookAndFeelDefinitionId lookAndFeelDefinitionId)
                                                   throws RemoteException

  Getter for returning a single `LookAndFeelDefinition` object given a supplied lookAndFeel definition identifier.

  Parameters
    `customizationContext` - customization information such as preferred locales and desktopInstanceId returned.
    `lookAndFeelDefinitionId` - the unique lookAndFeel definition identifier.
  Returns
    a `LookAndFeelDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
  Throws
    `RemoteException`
  See Also
    `LookAndFeelDefinition`

### getLookAndFeelDefinitionFromFile

    LookAndFeelDefinition getLookAndFeelDefinitionFromFile(CustomizationContext customizationContext,
                                                           String lookAndFeelFile,
                                                           String webAppName)
                                                           throws RemoteException

  Getter for returning a single `LookAndFeelDefinition` object given a supplied lookAndFeel file name.

  Parameters
    `customizationContext` - customization information such as preferred locales and desktopInstanceId returned.
    `lookAndFeelFile` - the unique lookAndFeel definition identifier.
  Returns
    a `LookAndFeelDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
  Throws
    `RemoteException`
  See Also
    `LookAndFeelDefinition`

### createLookAndFeelDefinition

    LookAndFeelDefinition createLookAndFeelDefinition(CustomizationContext customizationContext,
                                                      LookAndFeelDefinition lookAndFeelDefinition)
                                                      throws RemoteException,
                                                             MissingDataException,
                                                             NotEntitledException

  Creates a new LookAndFeelView Definition. While look and feels can be created by this method they should be created via a .laf file. The .laf file may be located anywhere in the webapp directory and immediately gets picked up by the system.

  Parameters
    `customizationContext` - customization information such as preferred locales and http request.
    `lookAndFeelDefinition` - the lookAndFeel data and associated placeholders
  Returns
    a fully populated LookAndFeelDefinition
  Throws
    `MissingDataException` - the lookAndFeelDefinition supplied as an argument is missing some vital data.
    `NotEntitledException` - the caller is not entitled to create a new lookAndFeel.
    `RemoteException`

### updateLookAndFeelDefinition

    void updateLookAndFeelDefinition(CustomizationContext customizationContext,
                                     LookAndFeelDefinition lookAndFeelDefinition)
                                     throws RemoteException,
                                            ObjectNotFoundException,
                                            NotEntitledException,
                                            MissingDataException

  Update the lookAndFeel definition with the new data.

  Parameters
    `customizationContext` - customization information such as preferred locales and desktopInstanceId returned.
    `lookAndFeelDefinition` - the lookAndFeeldefinition containing the new data
  Throws
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationDefnition is bogus.
    `MissingDataException` - if the LookAndFeelDefinition or any of the ThemeDefinitions are missing non nullable data.
    `RemoteException`
    `NotEntitledException`

### deleteLookAndFeelDefinition

    void deleteLookAndFeelDefinition(CustomizationContext customizationContext,
                                     LookAndFeelDefinitionId lookAndFeelDefinitionId)
                                     throws RemoteException,
                                            ObjectNotFoundException,
                                            ObjectInUseException,
                                            NotEntitledException

  Delete a lookAndFeel definition. Note if the .laf file still exist the look and feel will get recreated. This method is for deleting a look and feel after the .laf file has been deleted.

  Parameters
    `customizationContext` - customization information such as preferred locales and desktopInstanceId returned.
    `lookAndFeelDefinitionId` - the id of the lookAndFeel definition to delete.
  Throws
    `ObjectNotFoundException` - if the lookAndFeelDefinitionId is bogus
    `ObjectInUseException` - if page instances are currently using this lookAndFeel
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `RemoteException`
  See Also
    `deleteLookAndFeelDefinitionWithReplacement(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.LookAndFeelDefinitionId, com.bea.netuix.application.identifier.LookAndFeelDefinitionId)`

### deleteLookAndFeelDefinitionWithReplacement

    void deleteLookAndFeelDefinitionWithReplacement(CustomizationContext customizationContext,
                                                    LookAndFeelDefinitionId deleteLookAndFeelDefinitionId,
                                                    LookAndFeelDefinitionId replacementLookAndFeelDefinitionId)
                                                    throws RemoteException,
                                                           ObjectNotFoundException,
                                                           NotEntitledException

  Delete a lookAndFeel definition (and its skins, skeletons and themes) and replace any uses of that lookAndFeel with a replacement lookAndFeel. This method is useful for deleting a lookAndFeel that is in use by desktop instances without having to delete those dektopinstances instances. Note if the .laf file still exist the look and feel will get recreated. This method is for deleting a look and feel after the .laf file has been deleted.

  Parameters
    `customizationContext` - customization information such as preferred locales and request.
    `deleteLookAndFeelDefinitionId` - the id of the lookAndFeel definition to delete.
    `replacementLookAndFeelDefinitionId` - the id of the replacement lookAndFeel
  Throws
    `ObjectNotFoundException` - if either of the lookAndFeelDefinitionIds are bogus
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `RemoteException`
  See Also
    `deleteLookAndFeelDefinition(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.LookAndFeelDefinitionId)`

### getLookAndFeelDefinitionId

    LookAndFeelDefinitionId getLookAndFeelDefinitionId(CustomizationContext customizationContext,
                                                       String markupName,
                                                       String webAppName)
                                                       throws RemoteException

  Getter for returning a single `LookAndFeelDefinitionId` object given a supplied lookAndFeel markup name and webapp.

  Parameters
    `customizationContext` - customization information such as preferred locales and desktopInstanceId returned.
    `markupName` - the markup name attribute supplied on the tag in the .laf file
    `webAppName` - as defined in the config.xml
  Returns
    LookAndFeelDefinitionId the unique lookAndFeel definition identifier or null is non existent.
  Throws
    `RemoteException`

### getVisibleLaFLocalizationResources

    SortableFilterablePagedResult<LocalizationResourceView> getVisibleLaFLocalizationResources(CustomizationContext customizationContext,
                                                                                               WebAppSearchCriteria criteria,
                                                                                               int pageSize)
                                                                                               throws RemoteException

  Retrieve the LocalizationResourceViews for all visible look-and-feels for a given locale and webapp. The returned PagedResult is sortable and filterable on the field "TITLE", and supports these filter methods:
  - FilterMethod.UNFILTERED
  - FilterMethod.BEGINS_WITH
  - FilterMethod.ENDS_WITH
  - FilterMethod.CONTAINS
  - FilterMethod.EQUALS
  However, the reSort and reFilter methods on the returned PagedResult ignore their locale arguments. If you want to requery with a different locale, you should call this method again after setting the desired locale in the CustomizationContext.

  Parameters
    `customizationContext` - - a customization context with a request and locale defined. Only the first locale is used.
    `criteria` - - search criteria specifying the webapp to search under
    `pageSize` - - number of results to retrieve per page
  Returns
    the paged result object
  Throws
    `RemoteException`

### getLookAndFeelDefinitions

    SortableFilterablePagedResult<LookAndFeelDefinition> getLookAndFeelDefinitions(CustomizationContext context,
                                                                                   WebAppSearchCriteria criteria,
                                                                                   int pageSize)
                                                                                   throws RemoteException

  Get all the look and feel definitions as a paged object. The returned PagedResult is sortable and filterable on the field "TITLE", and supports these filter methods:
  - FilterMethod.UNFILTERED
  - FilterMethod.BEGINS_WITH
  - FilterMethod.ENDS_WITH
  - FilterMethod.CONTAINS
  - FilterMethod.EQUALS
  However, the reSort and reFilter methods on the returned PagedResult ignore their locale arguments. If you want to requery with a different locale, you should call this method again after setting the desired locale in the CustomizationContext.

  Parameters
    `context` - customization information such as preferred locales and http request.
    `criteria` - used to specify the webapp
    `pageSize` - the number of item per page in the result.
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.